Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.complex
Class ComplexField

    java.lang.Object
      org.apache.commons.math.complex.ComplexField

All Implemented Interfaces:
  Serializable, Field<Complex>

    public class ComplexField

extends Object
implements Field<Complex>, Serializable

Representation of the complex numbers field.

This class is a singleton.

Since:
  2.0
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $
See Also:
  `Complex`, Serialized Form

Method Summary
`static ComplexField` | `getInstance()` Get the unique instance.
`Complex` | `getOne()` Get the multiplicative identity of the field.
`Complex` | `getZero()` Get the additive identity of the field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ComplexField getInstance()

  Get the unique instance.

  Returns:
    the unique instance

### getOne

    public Complex getOne()

  Get the multiplicative identity of the field.

  The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

  Specified by:
    `getOne` in interface `Field<Complex>`
  Returns:
    multiplicative identity of the field

### getZero

    public Complex getZero()

  Get the additive identity of the field.

  The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

  Specified by:
    `getZero` in interface `Field<Complex>`
  Returns:
    additive identity of the field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.